START TRANSACTION;


CREATE TABLE IF NOT EXISTS `lessons` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `DisciplineID` int(11) NOT NULL,
  `LessonDate` datetime NOT NULL,
  `LessonType` int(11) NOT NULL,
  `LessonDeleted` int(11) NOT NULL DEFAULT 0,

  PRIMARY KEY (`ID`),
  KEY `DisciplineID`   (`DisciplineID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `attendance` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `LessonID` int(11) NOT NULL,
  `RecordBookID` int(11) NOT NULL,
  `StudentAttended` tinyint(1) NOT NULL DEFAULT 0,
  `RecordDate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,

  PRIMARY KEY (`ID`),
  KEY `LessonID`   (`LessonID`),
  KEY `RecordBookID`   (`RecordBookID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `lesson_types` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `LessonType` varchar(20) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY(`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

COMMIT ;